Jump to content

ERA6 - Linux - Upgrading Version 6 to higher level


Recommended Posts

Since the other topic seems to be pretty specific to Windows, I figured I would add a new one here.

 

I'm running Ubuntu 14.04 Server.

 

I downloaded the new Agent/Server.sh installer files and the new web console.war.

 

I ran both Agent and Server sh files without any arguments and it upgraded the software. Copied the new .war file to the tomcat7 folder.

 

My web console is loading, but I can't create a server task. "Failed to load trigger types compatible with task types."

 

Also when trying to create a client task to do "Remote Administrator Components Update" when it gets to the point to pick the ERA server it doesn't list any servers.

 

I have rebooted the server a couple times and it didn't help.

 

So my server software is up to date, but I can't upgrade the Agents on my clients. I'm not sure if I can update the Antivirus software with the old agent or not, I just figured I'd wait until I could update the agent through ERA before I worry about the Antivirus software. Seems like the virus defs are still updating so that is the important bit.

Edited by short_bus4
Link to post
Share on other sites

It would be so awesome if you could update the ESET server software from ERA6. It pops up in yellow when the version is older than the newest available, I wish ESET would make it so you could just click the new version number and it would download/install the newer version and any prerequisites. Or even better, just auto update itself. Think of the saved bandwidth by only updating the changes and not the whole package every time!

Edited by short_bus4
Link to post
Share on other sites

I'm having the exact same things on my CentOS 6.5 VM. Kind of frustrating that the Client Tasks work, but the Server tasks do not. If all these components are broken without a fix soon, I think I might as well just roll back the upgrade to 6.1.336.0. 

 

It's kind of insulting that these upgrades/updates are getting pushed out and BOTH Linux and Windows Admins are receiving the same errors.

Link to post
Share on other sites

I thought I did that. But I'm not strong with Linux so maybe it didn't overwrite the existing era.war or something. I'm trying again, but this time I'll delete the existing war file...

 

And that did the trick. Maybe I forgot to transfer it, I definitely downloaded it.

 

Thanks for the tip!

Link to post
Share on other sites
  • ESET Moderators

Hello,

 

promised KB articles:

 

How do I upgrade ESET Remote Administrator 6.1.21 to version 6.1.28? (Windows)

 

How do I upgrade ESET Remote Administrator 6.1.21 to version 6.1.28? (Linux)

 

Please let us know if there is a scenario not described or something what does not work as described or expected.

 

Thank you.

 

P.R.

Link to post
Share on other sites
Guest
This topic is now closed to further replies.
  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...